Subject: Re: bug#77075: [PATCH] Prepare package.el to be published on GNU ELPA

From: Philip Kaludercic <[email-masked]>
Date: Mon, 24 Mar 2025 18:27:37 +0000

Stefan Kangas <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> As far as I am aware, the main objection to this idea is that this might
>> introduce instability that is difficult to fix (If `package-delete'
>> doesn't work, then it isn't obvious how to uninstall the newer
>> package.el).  Are there any other points we should discuss?
>
> Can you summarize what is our reply to that?  Do we have a better
> workaround than `rm -rf ~/.emacs.d/elpa`?

My idea was to have a specialised, specialised command to uninstall all
ELPA versions of package.el.